A selection is a SmoSelector and a set of references to musical elements, like measure etc. The staff and measure are always a part of the selection, and possible a voice and note, and one or more pitches. Selections can also be made from the UI by clicking on an element or navigating to an element with the keyboard.

### Hierarchy

- SmoSelection

## Index

### Constructors

- constructor

### Methods

- advanceTicks
- countTicks

## Constructors

### constructor

- new SmoSelection(params: SmoSelectionParams): SmoSelection

- - Defined in src/smo/xform/selections.ts:531

  #### Parameters

  - ##### params: SmoSelectionParams

  #### Returns SmoSelection

## Methods

### Static advanceTicks

- advanceTicks(score: SmoScore, selection: SmoSelection, tickCount: number): null | SmoSelection

- - Defined in src/smo/xform/selections.ts:317

  Return the selection that is tickCount ticks after the current selection.

  #### Parameters

  - ##### score: SmoScore

  - ##### selection: SmoSelection

  - ##### tickCount: number

  #### Returns null | SmoSelection

### Static countTicks

- countTicks(score: SmoScore, sel1: SmoSelector, sel2: SmoSelector): number

- - Defined in src/smo/xform/selections.ts:363

  Count the number of tick indices between selector 1 and selector 2;

  #### Parameters

  - ##### score: SmoScore

  - ##### sel1: SmoSelector

  - ##### sel2: SmoSelector

  #### Returns number

Generated using TypeDoc